Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis
Class AxisInvocationHandler

    java.lang.Object
      org.jboss.net.axis.AxisInvocationHandler

All Implemented Interfaces:
  InvocationHandler, Serializable

Direct Known Subclasses:
  MBeanInvocationHandler

Deprecated. Due to the inherent deficiencies in using pure reflection meat-data to access web services, we recommend using the full-blown jaxrpc/wsdl approach.

public class AxisInvocationHandler
extends Object
implements InvocationHandler, Serializable

An invocation handler that allows typed and persistent client access to remote SOAP/Axis services. Adds method/interface to name resolution to the axis client engine. Unfortunately the AxisClientProxy has a package-protected constructor, otherwise we could inherit from there.

Version:
  $Revision: 1.16 $
Author:
  Christoph G. Jung
See Also:
  Serialized Form

Nested Class Summary
`static class` | `AxisInvocationHandler.DefaultInterfaceMap` Deprecated. a tiny helper that does some default mapping of methods to interface names we do not hash the actual reflection information because we could collide with proxy serialisation holding fucking old classes
`static class` | `AxisInvocationHandler.DefaultMethodMap` Deprecated. a tiny helper that does some default mapping of methods to method names we do not hash the actual reflection information because we could collide with proxy serialisation holding fucking old classes

Field Summary
`protected org.apache.axis.client.Call` | `call` Deprecated. the call object to which we delegate
`protected String` | `endPoint` Deprecated. the endpoint to which we are attached
`protected Map` | `methodToInterface` Deprecated. mapping of methods to interface names
`protected Map` | `methodToName` Deprecated. mapping of methods to method names
`protected String` | `rootContext` Deprecated. if attached to a server-engine, we can reattach

Constructor Summary
`AxisInvocationHandler(org.apache.axis.client.Call call, Map methodMap, Map interfaceMap)` Deprecated. Creates a new AxisInvocationHandler and save some origin information to re-attach to the engine after being serialized.
`AxisInvocationHandler(URL endPoint, String soapAction)` Deprecated. Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint.
`AxisInvocationHandler(URL endPoint, String soapAction, Map methodMap)` Deprecated. Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint.
`AxisInvocationHandler(URL endPoint, String soapAction, Map methodMap, Map interfaceMap)` Deprecated. Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint
`AxisInvocationHandler(URL endPoint, String soapAction, Map methodMap, Map interfaceMap, boolean maintainSession)` Deprecated. Creates a new AxisInvocationHandler
`AxisInvocationHandler(URL endpoint, String soapAction, org.apache.axis.client.Service service, Map methodMap, Map interfaceMap)` Deprecated. Creates a new AxisInvocationHandler

Method Summary
`static Object` | `createAxisService(Class _interface, AxisInvocationHandler handler)` Deprecated. default creation of service
`static Object` | `createAxisService(Class _interface, org.apache.axis.client.Call call)` Deprecated. default creation of service
`static Object` | `createAxisService(Class _interface, URL endpoint, String soapAction)` Deprecated. default creation of service
`static Object` | `createAxisService(Class _interface, URL endpoint, String soapAction, org.apache.axis.client.Service service)` Deprecated. default creation of service
`Object` | `invoke(Object target, Method method, Object[] args)` Deprecated. generic invocation method
`Object` | `invoke(String serviceName, String methodName, Object[] args)` Deprecated. invoke given namespace+method+args
`Object` | `invoke(String serviceName, String methodName, Object[] args, Class[] parameters)` Deprecated. invoke with additional method parameter signature
`protected void` | `setBasicAuthentication(URL target)` Deprecated. helper to transfer url authentication information into engine

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### methodToInterface

    protected Map methodToInterface

  Deprecated.
  mapping of methods to interface names

### methodToName

    protected Map methodToName

  Deprecated.
  mapping of methods to method names

### call

    protected transient org.apache.axis.client.Call call

  Deprecated.
  the call object to which we delegate

### rootContext

    protected String rootContext

  Deprecated.
  if attached to a server-engine, we can reattach

### endPoint

    protected String endPoint

  Deprecated.
  the endpoint to which we are attached

Constructor Detail

### AxisInvocationHandler

    public AxisInvocationHandler(org.apache.axis.client.Call call,
                                 Map methodMap,
                                 Map interfaceMap)

  Deprecated.
  Creates a new AxisInvocationHandler and save some origin information to re-attach to the engine after being serialized.

Parameters:
  `call` - the Axis call object
  `methodMap` - a map of Java method to service method names
  `interfaceMap` - a map of Java interface to service names

### AxisInvocationHandler

    public AxisInvocationHandler(URL endpoint,
                                 String soapAction,
                                 org.apache.axis.client.Service service,
                                 Map methodMap,
                                 Map interfaceMap)

  Deprecated.
  Creates a new AxisInvocationHandler

Parameters:
  `endpoint` - target address of the service
  `service` - an Axis service object
  `methodMap` - a map of Java method to service method names
  `interfaceMap` - a map of Java interface to service names

### AxisInvocationHandler

    public AxisInvocationHandler(URL endPoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap,
                                 boolean maintainSession)

  Deprecated.
  Creates a new AxisInvocationHandler

Parameters:
  `endPoint` - target url of the web service
  `methodMap` - a map of Java method to service method names
  `interfaceMap` - a map of Java interface to service names
  `maintainSession` - a flag that indicates whether this handler should keep a persistent session with the service endpoint

### AxisInvocationHandler

    public AxisInvocationHandler(URL endPoint,
                                 String soapAction,
                                 Map methodMap,
                                 Map interfaceMap)

  Deprecated.
  Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint

Parameters:
  `endPoint` - target url of the web service
  `methodMap` - a map of Java method to service method names
  `interfaceMap` - a map of Java interface to service names

### AxisInvocationHandler

    public AxisInvocationHandler(URL endPoint,
                                 String soapAction,
                                 Map methodMap)

  Deprecated.
  Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint. The unqualified name of the intercepted Java interface will be the used service name.

Parameters:
  `endPoint` - target url of the web service
  `methodMap` - a map of Java method to service method names

### AxisInvocationHandler

    public AxisInvocationHandler(URL endPoint,
                                 String soapAction)

  Deprecated.
  Creates a new AxisInvocationHandler that keeps a persistent session with the service endpoint. The unqualified name of the intercepted Java interface will be the used service name. Intercepted methods are mapped straightforwardly to web service names.

Parameters:
  `endPoint` - target url of the web service

Method Detail

### setBasicAuthentication

    protected void setBasicAuthentication(URL target)

  Deprecated.
  helper to transfer url authentication information into engine

### invoke

    public Object invoke(String serviceName,
                         String methodName,
                         Object[] args)
                  throws RemoteException

  Deprecated.
  invoke given namespace+method+args

  Throws:
    `RemoteException`

### invoke

    public Object invoke(String serviceName,
                         String methodName,
                         Object[] args,
                         Class[] parameters)
                  throws RemoteException

  Deprecated.
  invoke with additional method parameter signature

  Throws:
    `RemoteException`

### invoke

    public Object invoke(Object target,
                         Method method,
                         Object[] args)
                  throws Throwable

  Deprecated.
  generic invocation method

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### createAxisService

    public static Object createAxisService(Class _interface,
                                           URL endpoint,
                                           String soapAction)

  Deprecated.
  default creation of service

### createAxisService

    public static Object createAxisService(Class _interface,
                                           URL endpoint,
                                           String soapAction,
                                           org.apache.axis.client.Service service)

  Deprecated.
  default creation of service

### createAxisService

    public static Object createAxisService(Class _interface,
                                           org.apache.axis.client.Call call)

  Deprecated.
  default creation of service

### createAxisService

    public static Object createAxisService(Class _interface,
                                           AxisInvocationHandler handler)

  Deprecated.
  default creation of service

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.